%{!?perl_vendorlib: %define perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)}

Name:           perl-ExtUtils-CBuilder
Version:        0.07
Release:        0.fdr.1.rh90
Epoch:          0
Summary:        Compile and link C code for Perl modules

Group:          Development/Libraries
License:        GPL or Artistic
URL:            http://search.cpan.org/dist/ExtUtils-CBuilder/
Source0:        http://www.cpan.org/authors/id/K/KW/KWILLIAMS/ExtUtils-CBuilder-0.07.tar.gz
Patch:          ExtUtils-CBuilder-0.07-02-link.t.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  perl >= 1:5.6.1
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This module can build the C portions of Perl modules by invoking the
appropriate compilers and linkers in a cross-platform manner. It was
motivated by the Module::Build project, but may be useful for other
purposes as well.


%prep
%setup -q -n ExtUtils-CBuilder-%{version}
%patch -p1


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*


%check || :
make test


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc Changes
%{perl_vendorlib}/ExtUtils
%{_mandir}/man3/*.3*


%changelog
* Sat Jan 15 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0:0.07-0.fdr.1
- Update to 0.07.

* Tue Dec 28 2004 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0:0.06-0.fdr.1
- Update to 0.06.

* Mon Nov 29 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.05-1
- Revert to building with ExtUtils::MakeMaker to eliminate a build
  dependency loop with Module::Build.

* Fri Oct 15 2004 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0:0.05-0.fdr.1
- Update to 0.05.
- Building procedure: Makefile.PL -> Build.PL.

* Mon Oct 11 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.04-0.fdr.1
- Update to 0.04.

* Sat May 15 2004 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0:0.03-0.fdr.1
- Uptade to 0.03.
- Avoid creation of the perllocal.pod file (make pure_install).

* Sun Apr 25 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.02-0.fdr.2
- Require perl(:MODULE_COMPAT_*).

* Sat Feb 21 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.02-0.fdr.1
- Update to 0.02.

* Mon Jan 26 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.01-0.fdr.1
- First build.
